Calls

List calls

Retrieve current and historical call sessions, including transcript previews.

GET
/calls

Retrieve current and historical call sessions, including transcript previews.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/calls"
{  "data": [    {      "id": "call_72hd81",      "agentId": "agt_8skd92ja",      "direction": "outbound",      "phoneNumber": "+919876543210",      "roomName": "room_72hd81",      "status": "completed",      "durationSeconds": 184,      "costPaise": 920,      "idempotencyKey": null,      "transcriptPreview": "Thanks for your time.",      "transcriptRaw": [        {          "role": "agent",          "text": "Hello!"        },        {          "role": "user",          "text": "Hi."        }      ]    }  ]}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}